# Project: Intro
# Makefile created by Dev-C++ 4.9.9.1

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = ../src/output/Intro_private.res
OBJ  = ../src/output/main.o ../src/output/displaygrid.o ../src/output/tgahandler.o ../src/output/letterbox.o ../src/output/sidebars.o ../src/output/sounds.o ../src/output/vu.o ../src/output/text.o $(RES)
LINKOBJ  = ../src/output/main.o ../src/output/displaygrid.o ../src/output/tgahandler.o ../src/output/letterbox.o ../src/output/sidebars.o ../src/output/sounds.o ../src/output/vu.o ../src/output/text.o $(RES)
LIBS =  -L"C:/Dev-Cpp/lib" -mwindows --no-export-all-symbols --add-stdcall-alias -lopengl32 -lglu32 -lgdi32 ../../../fmodapi374win/api/lib/libfmod.a  
INCS =  -I"C:/Dev-Cpp/include" 
CXXINCS =  -I"C:/Dev-Cpp/include/c++/3.3.1"  -I"C:/Dev-Cpp/include/c++/3.3.1/mingw32"  -I"C:/Dev-Cpp/include/c++/3.3.1/backward"  -I"C:/Dev-Cpp/lib/gcc-lib/mingw32/3.3.1/include"  -I"C:/Dev-Cpp/include" 
BIN  = ../Intro.exe
CXXFLAGS = $(CXXINCS)   -Wall
CFLAGS = $(INCS)   -Wall

.PHONY: all all-before all-after clean clean-custom

all: all-before ../Intro.exe all-after


clean: clean-custom
	rm -f $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CPP) $(LINKOBJ) -o "..\Intro.exe" $(LIBS)

../src/output/main.o: main.cpp
	$(CPP) -c main.cpp -o ../src/output/main.o $(CXXFLAGS)

../src/output/displaygrid.o: displaygrid.cpp
	$(CPP) -c displaygrid.cpp -o ../src/output/displaygrid.o $(CXXFLAGS)

../src/output/tgahandler.o: tgahandler.cpp
	$(CPP) -c tgahandler.cpp -o ../src/output/tgahandler.o $(CXXFLAGS)

../src/output/letterbox.o: letterbox.cpp
	$(CPP) -c letterbox.cpp -o ../src/output/letterbox.o $(CXXFLAGS)

../src/output/sidebars.o: sidebars.cpp
	$(CPP) -c sidebars.cpp -o ../src/output/sidebars.o $(CXXFLAGS)

../src/output/sounds.o: sounds.cpp
	$(CPP) -c sounds.cpp -o ../src/output/sounds.o $(CXXFLAGS)

../src/output/vu.o: vu.cpp
	$(CPP) -c vu.cpp -o ../src/output/vu.o $(CXXFLAGS)

../src/output/text.o: text.cpp
	$(CPP) -c text.cpp -o ../src/output/text.o $(CXXFLAGS)

../src/output/Intro_private.res: Intro_private.rc 
	$(WINDRES) -i Intro_private.rc --input-format=rc -o ../src/output/Intro_private.res -O coff 
